using System;
namespace eventtest

{

    //定义EventHandler函数代理

    public delegate void EventHandler();

 

    /// <summary>

    /// 

    /// </summary>

    public class MyClass

    {

        //构造函数

        public MyClass(){}

        //声明一个事件

        public event EventHandler AEvent;

        //激发事件

        public void FireEvent()

        {

            if(AEvent != null)

            {

                //直接把event当做函数调用

                AEvent();

            }

        }

    }

}


//本文来自CSDN博客，转载请标明出处：http://blog.csdn.net/uoyevoli/archive/2005/08/02/444284.aspx